package com.huatek.busi.service.cable;

import com.huatek.busi.dto.cable.BusiCableCirculationDto;
import com.huatek.busi.dto.cable.BusiCableCirculationStatisticsDto;
import com.huatek.busi.vo.InfraredTemperatureStatisticsVo;
import com.huatek.busi.vo.cable.BusiCableCirculationStatisticsVo;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

/**
 * 电缆环流相关接口
 *
 * @author Bobi_huo
 * @date 2020-09-10 14:37
 */
public interface BusiCableCirculationService {

    /**
     * 分页查询
     *
     * @param dto
     * @return
     */
    Map<String, Object> page(BusiCableCirculationDto dto);

    /**
     * 新增
     *
     * @param dto
     * @return
     */
    Map<String, Object> addCable(BusiCableCirculationDto dto);

    /**
     * 根据id查询电缆环流信息
     *
     * @param id
     * @return
     */
    Map<String, Object> findCableById(String id);

    /**
     * 修改
     *
     * @param dto
     * @return
     */
    Map<String, Object> updateCable(BusiCableCirculationDto dto);

    /**
     * 删除
     *
     * @param ids
     * @return
     */
    Map<String, Object> deleteCable(List<String> ids);

    /**
     * 获取时间最近的实时数据
     *
     * @param equipmentId
     * @return
     */
    Map<String, Object> getRealData(String equipmentId);


    Map<String, Object> getRealDataForCable(String equipmentId);

    /**
     * 获取近15天数据趋势图
     *
     * @param dto
     * @return
     */
    Map<String, Object> getHistoryTrendChart(BusiCableCirculationStatisticsDto dto);

    BusiCableCirculationStatisticsVo getListEquInfo(String cacMonitorTypeCode, LocalDate day, String sensorCode);

}
